How to launch PPM4 Gui from Komodo

Posted by jeff.griffiths on 2006-09-05 10:23
OS: All / Any | Product: Komodo | tags: ppm perl vpm komodo
Question: 

I used to use VPM to install Perl modules from the Komodo Pro interface, but this doesn't work for ActivePerl 819. How can I launch the new PPM4 Gui from Komodo?

Answer: 

Komodo's VPM utility is incompatible with ActivePerl 5.8.8 Build 819, and the preferred method is to use the PPM4 Gui client instead.

Future versions of Komodo will feature an option to launch the ppm client from a toolbar button; to do this in Komodo 3.5.3 simply add a new custom toolbar to your toolbox, add a new run command to that toolbar and for the command, put

C:\Perl\bin\wperl.exe -x "C:\Perl\bin\ppm.bat"

For the 'Run In' field, select 'No Console (Gui Application)'